local old_init = WeaponFactoryTweakData.init
function WeaponFactoryTweakData:init(tweak_data)
old_init(self, tweak_data)

local weapons = {
	"wpn_fps_fla_mk2",
	"wpn_fps_lmg_shuno",
	"wpn_fps_gre_m79",
	"wpn_fps_gre_ray",
	"wpn_fps_fla_system",
	"wpn_fps_rpg7",
	"wpn_fps_gre_china",
	"wpn_fps_saw",
	"wpn_fps_saw_secondary",
	"wpn_fps_bow_hunter",
	"wpn_fps_bow_elastic",
	"wpn_fps_bow_frankish",
	"wpn_fps_bow_arblast",
	"wpn_fps_bow_ecp",
	"wpn_fps_lmg_m134"
}
local all_sights = {
	"wpn_fps_upg_o_specter",
	"wpn_fps_upg_o_aimpoint",
	"wpn_fps_upg_o_docter",
	"wpn_fps_upg_o_eotech",
	"wpn_fps_upg_o_t1micro",
	"wpn_fps_upg_o_cmore",
	"wpn_fps_upg_o_acog",
	"wpn_fps_upg_o_aimpoint_2",
	"wpn_fps_upg_o_eotech_xps",
	"wpn_fps_upg_o_reflex",
	"wpn_fps_upg_o_rx01",
	"wpn_fps_upg_o_rx30",
	"wpn_fps_upg_o_cs",
	"wpn_fps_upg_o_spot"
}
local all_but_acog = {
	"wpn_fps_upg_o_specter",
	"wpn_fps_upg_o_aimpoint",
	"wpn_fps_upg_o_docter",
	"wpn_fps_upg_o_eotech",
	"wpn_fps_upg_o_t1micro",
	"wpn_fps_upg_o_cmore",
	"wpn_fps_upg_o_aimpoint_2",
	"wpn_fps_upg_o_eotech_xps",
	"wpn_fps_upg_o_reflex",
	"wpn_fps_upg_o_rx01",
	"wpn_fps_upg_o_rx30",
	"wpn_fps_upg_o_cs",
	"wpn_fps_upg_o_spot"
}
local gadgets = {
	"wpn_fps_upg_fl_ass_laser",
	"wpn_fps_upg_fl_ass_smg_sho_peqbox",
	"wpn_fps_upg_fl_ass_peq15",
	"wpn_fps_upg_fl_ass_utg",
	"wpn_fps_upg_fl_ass_smg_sho_surefire",
	"wpn_fps_upg_fl_pis_laser", 
	"wpn_fps_upg_fl_pis_tlr1",
	"wpn_fps_upg_fl_pis_crimson",
	"wpn_fps_upg_fl_pis_x400v",
	"wpn_fps_upg_fl_pis_m3x"
}
for i, weapon_id in ipairs(weapons) do
	for k, sight_id in ipairs(all_sights) do
		for j, gadget_id in ipairs(gadgets) do
			if not self[weapon_id].adds then self[weapon_id].adds = {} end
			if not self[weapon_id].adds[sight_id] then self[weapon_id].adds[sight_id] = {} end
			if not self[weapon_id].adds[gadget_id] then self[weapon_id].adds[gadget_id] = {} end
			if not self[weapon_id].override then self[weapon_id].override = {} end
			if not self[weapon_id].override[sight_id] then self[weapon_id].override[sight_id] = {} end
		end
	end
end
-- Flamethrower
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_spot")
table.insert(self.wpn_fps_fla_mk2.uses_parts, "wpn_fps_upg_o_leupold")

for i,part_id in ipairs(all_but_acog) do
-- if not self.wpn_fps_fla_mk2.override[part_id] then self.wpn_fps_fla_mk2.override[part_id] = {} end
self.wpn_fps_fla_mk2.override[part_id] = { stance_mod = { wpn_fps_fla_mk2 = { translation = Vector3(-4.94, -0.741, -0.843), rotation = Rotation(0.109, -0.088 , 0.631)}}}
end
self.wpn_fps_fla_mk2.override.wpn_fps_upg_o_acog = { stance_mod = { wpn_fps_fla_mk2 = { translation = Vector3(-4.94, -6.741, -0.643), rotation = Rotation(0.109, -0.088 , 0.631)}}}
self.wpn_fps_fla_mk2.override.wpn_fps_upg_o_leupold = { stance_mod = { wpn_fps_fla_mk2 = { translation = Vector3(-4.94, -35, -1.493), rotation = Rotation(0.109, -0.088 , 0.631)}}}

table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_specter, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_docter, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_eotech, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_t1micro, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_cmore, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_acog, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_reflex, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_rx01, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_rx30, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_cs, "wpn_fps_shot_r870_ris_special")
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_spot, "wpn_fps_shot_r870_ris_special")
if not self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_leupold then self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_leupold = {} end
table.insert(self.wpn_fps_fla_mk2.adds.wpn_fps_upg_o_leupold, "wpn_fps_shot_r870_ris_special")

-- Microgun
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_lmg_shuno.uses_parts, "wpn_fps_upg_o_spot")

self.wpn_fps_lmg_shuno.override.wpn_fps_ak_extra_ris = {a_obj = "a_o"}
for i,part_id in ipairs(all_but_acog) do
-- if not self.wpn_fps_lmg_shuno.override[part_id] then self.wpn_fps_lmg_shuno.override[part_id] = {} end
self.wpn_fps_lmg_shuno.override[part_id] = { stance_mod = { wpn_fps_lmg_shuno = { translation = Vector3(-1.295, 2.485, 7.099), rotation = Rotation(0, 0.119, 11.999)}}}
end
self.wpn_fps_lmg_shuno.override.wpn_fps_upg_o_acog = { stance_mod = { wpn_fps_lmg_shuno = { translation = Vector3(-1.295, 7.485, 7.099), rotation = Rotation(0, 0.119, 11.999)}}}

table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_specter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_docter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_eotech, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_t1micro, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_cmore, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_acog, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_reflex, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_rx01, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_rx30, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_cs, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_shuno.adds.wpn_fps_upg_o_spot, "wpn_fps_ak_extra_ris")

-- GL40
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_gre_m79.uses_parts, "wpn_fps_upg_o_spot")

for i,part_id in ipairs(all_but_acog) do
-- if not self.wpn_fps_gre_m79.override[part_id] then self.wpn_fps_gre_m79.override[part_id] = {} end
self.wpn_fps_gre_m79.override[part_id] = {
	a_obj = "a_os2",
	parent = "barrel",
	stance_mod = { 
		wpn_fps_gre_m79 = { 
			translation = Vector3(0.1, 0, -0.925),
			rotation = Rotation(0.131, -2.193, 0)
		}
	},
	forbids = {"wpn_fps_gre_m79_sight_up"}
}
end
self.wpn_fps_gre_m79.override.wpn_fps_upg_o_acog = {
	a_obj = "a_os2",
	parent = "barrel",
	stance_mod = {
		wpn_fps_gre_m79 = {
			translation = Vector3(0.1, 6, -0.225),
			rotation = Rotation(0.131, -2.193, 0)
		}
	},
	forbids = {"wpn_fps_gre_m79_sight_up"}
}
self.wpn_fps_gre_m79.override.wpn_fps_ak_extra_ris = {a_obj = "a_osm", parent = "barrel"}

table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_specter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_docter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_eotech, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_t1micro, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_cmore, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_acog, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_reflex, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_rx01, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_rx30, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_cs, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_m79.adds.wpn_fps_upg_o_spot, "wpn_fps_ak_extra_ris")

-- Commando 101
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")

table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_gre_ray.uses_parts, "wpn_fps_upg_o_spot")

for i,part_id in ipairs(all_sights) do
-- if not self.wpn_fps_gre_ray.override[part_id] then self.wpn_fps_gre_ray.override[part_id] = {} end
self.wpn_fps_gre_ray.override[part_id] = {
	a_obj = "a_o2",
	forbids = {"wpn_fps_gre_ray_sight_lid"},
	stance_mod = {
		wpn_fps_gre_ray = {
			translation = Vector3(-0.841, 5.611, 1.480),
			rotation = Rotation(0.107, -0.086, 0.628)
		}
	}
}
end
self.wpn_fps_gre_ray.override.wpn_fps_ak_extra_ris = {a_obj = "a_o2"}

table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_specter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_docter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_eotech, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_t1micro, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_cmore, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_acog, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_reflex, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_rx01, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_rx30, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_cs, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_gre_ray.adds.wpn_fps_upg_o_spot, "wpn_fps_ak_extra_ris")

-- MA-17
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_fla_system.uses_parts, "wpn_fps_upg_o_spot")

for i,part_id in ipairs(all_sights) do
-- if not self.wpn_fps_fla_system.override[part_id] then self.wpn_fps_fla_system.override[part_id] = {} end
self.wpn_fps_fla_system.override[part_id] = {
	stance_mod = {
		wpn_fps_fla_system = {
			translation = Vector3(-3.968, 0, -2.906),
			rotation = Rotation(0, 0, 0)
		}
	}
}
end



-- RPG-7
table.insert(self.wpn_fps_rpg7.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_rpg7.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_rpg7.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_rpg7.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_rpg7.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")

-- China Lake
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_gre_china.uses_parts, "wpn_fps_upg_o_spot")

self.wpn_fps_gre_china.override.wpn_fps_smg_sr2_o_rail = {a_obj = "a_o2"}
for i,part_id in ipairs(all_sights) do
-- if not self.wpn_fps_gre_china.override[part_id] then self.wpn_fps_gre_china.override[part_id] = {} end
	self.wpn_fps_gre_china.override[part_id].a_obj = "a_o2"
	self.wpn_fps_gre_china.override[part_id].stance_mod = {
		wpn_fps_gre_china = {
			translation = Vector3(0, 0, 0),
			rotation = Rotation(0, -1.999, 0)
		}
	}
end

table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_specter, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_docter, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_eotech, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_t1micro, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_cmore, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_acog, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_reflex, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_rx01, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_rx30, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_cs, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_gre_china.adds.wpn_fps_upg_o_spot, "wpn_fps_smg_sr2_o_rail")

-- Saw
table.insert(self.wpn_fps_saw.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_saw.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_saw.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_saw.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_saw.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")
table.insert(self.wpn_fps_saw_secondary.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_saw_secondary.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_saw_secondary.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_saw_secondary.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_saw_secondary.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")

-- Pistol Crossbow
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_fl_pis_laser") 
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_fl_pis_tlr1") 
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_fl_pis_crimson") 
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_fl_pis_x400v") 
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_fl_pis_m3x") 
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_bow_hunter.uses_parts, "wpn_fps_upg_o_spot")

self.wpn_fps_bow_hunter.override.wpn_fps_pis_beretta_body_rail = {a_obj = "a_fl2"}
self.wpn_fps_bow_hunter.override.wpn_fps_smg_sr2_o_rail = {a_obj = "a_o2"}
for i,part_id in ipairs(all_sights) do
-- if not self.wpn_fps_bow_hunter.override[part_id] then self.wpn_fps_bow_hunter.override[part_id] = {} end
	self.wpn_fps_bow_hunter.override[part_id].a_obj = "a_o2"
	self.wpn_fps_bow_hunter.override[part_id].stance_mod = {
		wpn_fps_bow_hunter = {
			translation = Vector3(0, 20, -2.199), -- -7.130 3.200
			rotation = Rotation(0, 0, 0)    -- -27.130 5.399
		}
	}
end

table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_fl_pis_laser, "wpn_fps_pis_beretta_body_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_fl_pis_tlr1, "wpn_fps_pis_beretta_body_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_fl_pis_crimson, "wpn_fps_pis_beretta_body_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_fl_pis_x400v, "wpn_fps_pis_beretta_body_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_fl_pis_m3x, "wpn_fps_pis_beretta_body_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_specter, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_docter, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_eotech, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_t1micro, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_cmore, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_acog, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_reflex, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_rx01, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_rx30, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_cs, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_hunter.adds.wpn_fps_upg_o_spot, "wpn_fps_smg_sr2_o_rail")

-- DECA
table.insert(self.wpn_fps_bow_elastic.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_bow_elastic.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_bow_elastic.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_bow_elastic.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_bow_elastic.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")

-- Light Crossbow
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_bow_frankish.uses_parts, "wpn_fps_upg_o_spot")

self.wpn_fps_bow_frankish.override.wpn_fps_ass_asval_scopemount = {a_obj = "a_sm"}
for i,part_id in ipairs(all_sights) do
-- if not self.wpn_fps_bow_frankish.override[part_id] then self.wpn_fps_bow_frankish.override[part_id] = {} end
	self.wpn_fps_bow_frankish.override[part_id].stance_mod = {
		wpn_fps_bow_frankish = {
			translation = Vector3(0, -13.817, -3.574 ), -- -10 1.45
			rotation = Rotation(0.001, -5, 0 )-- 3.817 5.024
		}
	}
end

table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_specter, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_docter, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_eotech, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_t1micro, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_cmore, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_acog, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_reflex, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_rx01, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_rx30, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_cs, "wpn_fps_ass_asval_scopemount")
table.insert(self.wpn_fps_bow_frankish.adds.wpn_fps_upg_o_spot, "wpn_fps_ass_asval_scopemount")

-- Heavy Crossbow
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_bow_arblast.uses_parts, "wpn_fps_upg_o_spot")

for i,part_id in ipairs(all_sights) do
-- if not self.wpn_fps_bow_arblast.override[part_id] then self.wpn_fps_bow_arblast.override[part_id] = {} end
	self.wpn_fps_bow_arblast.override[part_id].stance_mod = {
		wpn_fps_bow_arblast = {
			translation = Vector3(0, 9.183, 0 ),
			rotation = Rotation(0, -4.999, 0 )
		}
	}
end

table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_specter, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_docter, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_eotech, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_t1micro, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_cmore, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_acog, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_reflex, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_rx01, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_rx30, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_cs, "wpn_fps_smg_sr2_o_rail")
table.insert(self.wpn_fps_bow_arblast.adds.wpn_fps_upg_o_spot, "wpn_fps_smg_sr2_o_rail")

-- Airbow
table.insert(self.wpn_fps_bow_ecp.uses_parts, "wpn_fps_upg_fl_ass_laser")
table.insert(self.wpn_fps_bow_ecp.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_peqbox")
table.insert(self.wpn_fps_bow_ecp.uses_parts, "wpn_fps_upg_fl_ass_peq15")
table.insert(self.wpn_fps_bow_ecp.uses_parts, "wpn_fps_upg_fl_ass_utg")
table.insert(self.wpn_fps_bow_ecp.uses_parts, "wpn_fps_upg_fl_ass_smg_sho_surefire")

-- Minigun
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_lmg_m134.uses_parts, "wpn_fps_upg_o_spot")

self.wpn_fps_lmg_m134.override.wpn_fps_ak_extra_ris = {a_obj = "a_o"}
for i,part_id in ipairs(all_sights) do
-- if not self.wpn_fps_lmg_m134.override[part_id] then self.wpn_fps_lmg_m134.override[part_id] = {} end
	self.wpn_fps_lmg_m134.override[part_id].stance_mod = {
		wpn_fps_lmg_m134 = {
			translation = Vector3(-4.879, 8.573, 4.852 ),
			rotation = Rotation(0, 0.001, 12 )
		}
	}
end

table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_specter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_aimpoint, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_docter, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_eotech, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_t1micro, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_cmore, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_aimpoint_2, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_acog, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_eotech_xps, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_reflex, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_rx01, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_rx30, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_cs, "wpn_fps_ak_extra_ris")
table.insert(self.wpn_fps_lmg_m134.adds.wpn_fps_upg_o_spot, "wpn_fps_ak_extra_ris")
end