local old_init = WeaponTweakData.init
function WeaponTweakData:init(tweak_data)
old_init(self, tweak_data)

local CAP = {
	"shuno",
	"flamethrower_mk2",
	"gre_m79",
	"ray",
	"system",
	"rpg7",
	"china",
	"saw",
	"saw_secondary",
	"hunter",
	"elastic",
	"frankish",
	"arblast",
	"ecp",
	"m134",
	"m249"
}

for i, weapon_id in ipairs(CAP) do
	if not self[weapon_id] then self[weapon_id] = {} end
	if not self[weapon_id].attachment_points then self[weapon_id].attachment_points = {} end
end

table.list_append(self.flamethrower_mk2.attachment_points, 
	{
		{
				name = "a_o", 
				base_a_obj = "a_body", 
				position = Vector3( 0, 21, 12 ), 
				rotation = Rotation( 0, 0, 0 ) 
		}
	}
)		
table.list_append(self.shuno.attachment_points, 
	{
		{
			name = "a_o", 
			base_a_obj = "a_body", 
			position = Vector3( -9.75, 19, 10 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}
	}
)		
table.list_append(self.gre_m79.attachment_points, 
	{
		{
			name = "a_os2", 
			base_a_obj = "a_os", 
			position = Vector3( 0, -3, 0.7 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_osm", 
			base_a_obj = "a_os", 
			position = Vector3( 0, -13.4, 0.7 ), 
			rotation = RotationCAP( 180, 0, 0 ) 
		},
		{
			name = "a_fl", 
			base_a_obj = "a_b", 
			position = Vector3( 3.3, 0, 3.55 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.ray.attachment_points, 
	{
		{
			name = "a_o2", 
			base_a_obj = "a_o", 
			position = Vector3( 0, 7.8, 0 ), 
			rotation = Rotation( 0, 0, -90 ) 
		},
		{
			name = "a_fl", 
			base_a_obj = "a_o", 
			position = Vector3( 0.8, 29.8, -9.45 ), 
			rotation = RotationCAP( 0, 0, -180 ) 
		}
	}
)
table.list_append(self.system.attachment_points, 
	{
		{
			name = "a_o", 
			base_a_obj = "a_body", 
			position = Vector3( 0, 12.3, 10.4 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_fl2", -- This one mounts the gadgets on the rail at the bottom
			base_a_obj = "a_fl", 
			position = Vector3( 0, 21.5, -8.4 ), 
			rotation = RotationCAP( 0, 0, 180) 
		},
		{
			name = "a_fl", 
			base_a_obj = "a_fl", 
			position = Vector3( 2.3, 15, -4 ), 
			rotation = RotationCAP( 0, 0, 90) 
		}
	}
)
table.list_append(self.rpg7.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_o", 
			position = Vector3( 4.75, -0.5, -5.9 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.china.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_b", 
			position = Vector3( 4.6, -12, -3.5 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		},
		{
			name = "a_o2", 
			base_a_obj = "a_o", 
			position = Vector3( 0, -5, 0.1 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.saw.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_b", 
			position = Vector3( 4.8, 32, -0.9 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.saw_secondary.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_b", 
			position = Vector3( 4.8, 32, -0.9 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.hunter.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_fl", 
			position = Vector3( 0, 0, 0 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		},
		{
			name = "a_fl2", 
			base_a_obj = "a_fl", 
			position = Vector3( 0, -15.3, -2.5 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		},
		{
			name = "a_o2", 
			base_a_obj = "a_o", 
			position = Vector3( 0, 5, 2.72 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.elastic.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_fl", 
			position = Vector3( 3.6, 2.4, 3.2 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.frankish.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_fl", 
			position = Vector3( 0, 22, 1.15 ), 
			rotation = RotationCAP( 0, 0, 90 ) 
		},
		{
			name = "a_o", 
			base_a_obj = "a_o", 
			position = Vector3( 0, 23.8, 5.85 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		},
		{
			name = "a_sm", 
			base_a_obj = "a_o", 
			position = Vector3( 0, 23.8, -5.6 ), 
			rotation = RotationCAP( 180, 0, 0 ) 
		}
	}
)
table.list_append(self.arblast.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_fl", 
			position = Vector3( 0, 22, -0.4 ), 
			rotation = RotationCAP( 0, 0, 90 ) 
		},
		{
			name = "a_o", 
			base_a_obj = "a_o",  
			part_attach_data = {
				{"wpn_fps_bow_arblast_body_standard"}, -- Attachments to attach to. ( Supports multiple if they share object names. )
				"g_hook" -- The object name on the attachment to attach to. ( If this object is animated 90% of the time it should move with it. )
			},
			position = Vector3( 0, 4, 2.4 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.ecp.attachment_points, 
	{
		{
			name = "a_fl", 
			base_a_obj = "a_o",
			position = Vector3( -1.8, -3, -0.65 ), 
			rotation = RotationCAP( 0, 0, 180 ) 
		}
	}
)
table.list_append(self.m134.attachment_points, 
	{
		{
			name = "a_o", 
			base_a_obj = "a_body",
			position = Vector3( 7.11, 1.5, 4.4 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)
table.list_append(self.m249.attachment_points, 
	{
		{
			name = "a_o", 
			base_a_obj = "a_o",  
			part_attach_data = {
				{"wpn_fps_lmg_par_upper_reciever"}, -- Attachments to attach to. ( Supports multiple if they share object names. )
				"g_cover" -- The object name on the attachment to attach to. ( If this object is animated 90% of the time it should move with it. )
			},
			position = Vector3( 0, 0, 0 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		}
	}
)

end